Get URL Content
curl --request POST \
--url https://api.peec.ai/customer/v1/sources/urls/content \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://example.com/blog/page1",
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"max_length": 100000
}
'import requests
url = "https://api.peec.ai/customer/v1/sources/urls/content"
payload = {
"url": "https://example.com/blog/page1",
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"max_length": 100000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/blog/page1',
project_id: 'or_f45b94ba-5e35-4982-93ed-285e72ee14eb',
max_length: 100000
})
};
fetch('https://api.peec.ai/customer/v1/sources/urls/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "https://example.com/blog/page1",
"title": "<string>",
"domain": "example.com",
"channel_title": "<string>",
"content": "<string>",
"content_length": 123,
"truncated": true,
"content_updated_at": "<string>"
}
}{
"message": "<string>"
}Reports
Get URL Content
Return the scraped markdown content of a source URL. Use the URLs report to discover URLs.
POST
/
sources
/
urls
/
content
Get URL Content
Authorizations
APIKeyHeaderAPIKeyQueryBearerAuth
Query Parameters
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Example:
"https://example.com/blog/page1"
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Maximum number of characters of content to return. Defaults to 100,000. If the stored content is longer, the response will be truncated and truncated=true.
Required range:
1 <= x <= 20000000Example:
100000
Response
Success
Success
Show child attributes
Show child attributes
⌘I
